> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Resolve a URL



## OpenAPI

````yaml /openapi.json post /resolve-url
openapi: 3.0.0
info:
  title: Trust Stack API
  description: Programmatic access to the Trust Stack API.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /resolve-url:
    post:
      tags:
        - Resolve URL
      summary: Resolve a URL
      operationId: resolveUrl
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResolveUrl'
      responses:
        '200':
          description: The URL has been resolved
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResolveUrlResponse'
components:
  schemas:
    ResolveUrl:
      type: object
      properties:
        url:
          type: string
          description: The url to resolve
          example: https://truststack.link/<UUID>
      required:
        - url
    ResolveUrlResponse:
      type: object
      properties:
        url:
          type: string
          description: The URL that was resolved
        target:
          type: string
          description: >-
            If a redirect, this is where you have been redirected to. Otherwise,
            it is just the url provided
        identifier:
          type: string
          description: Identifier associated with the url, if found.
        status:
          type: string
          description: The resolution status
          enum:
            - resolved
            - not_found
            - invalid
            - error
        resolutionType:
          type: string
          description: The type of resolution that occurred
          enum:
            - redirect
            - linkset
      required:
        - url
        - target
        - status

````